#!/bin/sh
#!/bin/bash
# simple Bash Menu Script by jackluke

printf '\e[96m;%s\a' "$color"
printf "$'\e[40m'Catalina continuity fix by jackluke"
printf "\n\n\n"
clear && printf '\e[3J'
echo "Welcome to the Catalina continuity fix\n this will work only with Bluetooth 4.0 BLE card or USB BT4 dongle and a Broadcom Wifi card is required"
echo "\nCatalina continuity fix can't be executed as standard user if you want to suspend the script just press CTRL+Z"
echo "\nto apply this fix your current account password is required\notherwise the script can't process\n"
echo "\nSetting nvram parameter to enforce AMFI compatibility check"
sudo mount -uw / ; killall Finder
sudo nvram boot-args="-no_compat_check amfi_get_out_of_my_way=1"
sudo defaults write /Library/Preferences/com.apple.security.libraryvalidation.plist DisableLibraryValidation -bool true
echo "\nDone\nAny AMFI compatibility check is applied to Catalina"
echo "\nDetecting machine board id\n"
Macmid="$(sysctl -n hw.model)";
echo "\nYour machine model is ${Macmid}\n"
Boardid="$(ioreg -l | grep "board-id" | awk -F\" '{print $4}')";
echo "\nYour machine board number is ${Boardid}\n"
echo "\nPlease re-type password when required\n"
echo "\nPatching the bluetooth file for adding continuity"
ls -l /System/Library/Frameworks/IOBluetooth.framework/Versions/A/Resources/SystemParameters.plist
sudo /usr/libexec/PlistBuddy -c "Set:${Boardid}:ContinuitySupport true" "/System/Library/Frameworks/IOBluetooth.framework/Versions/A/Resources/SystemParameters.plist"
echo "\nChecking the continuity for the machine\n"
/usr/libexec/PlistBuddy -c "Print:${Boardid}" "/System/Library/Frameworks/IOBluetooth.framework/Versions/A/Resources/SystemParameters.plist"
echo "\nDone"
echo "\nAt next reboot you should have continuity features on Catalina\n"